Bug 586071 - [abrt] crash in gourmet-0.15.0-4.fc12: reccard_plugin.py:106:nutritional_markup_hook:AttributeError: RecCardDisplay instance has no attribute 'serves_orig'
[abrt] crash in gourmet-0.15.0-4.fc12: reccard_plugin.py:106:nutritional_mark...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gourmet (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Jef Spaleta
Fedora Extras Quality Assurance
abrt_hash:8c5e7654
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-26 14:27 EDT by David
Modified: 2010-05-24 15:38 EDT (History)
1 user (show)

See Also:
Fixed In Version: gourmet-0.15.4-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-24 15:38:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.57 KB, text/plain)
2010-04-26 14:27 EDT, David
no flags Details

  None (edit)
Description David 2010-04-26 14:27:32 EDT
abrt 1.0.9 detected a crash.

architecture: i686
cmdline: /usr/bin/python /usr/bin/gourmet
comment: Was adding a missed unit of messure to the ingredients.
component: gourmet
executable: /usr/bin/gourmet
kernel: 2.6.32.11-99.fc12.i686
package: gourmet-0.15.0-4.fc12
reason: reccard_plugin.py:106:nutritional_markup_hook:AttributeError: RecCardDisplay instance has no attribute 'serves_orig'
release: Fedora release 12 (Constantine)

backtrace
-----
reccard_plugin.py:106:nutritional_markup_hook:AttributeError: RecCardDisplay instance has no attribute 'serves_orig'

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/gourmet/reccard.py", line 446, in left_notebook_change_cb
    if hasattr(module,'enter_page'): module.enter_page()
  File "/usr/lib/python2.6/site-packages/gourmet/plugins/nutritional_information/reccard_plugin.py", line 78, in enter_page
    self.recipe_display.ingredientDisplay.display_ingredients()
  File "/usr/lib/python2.6/site-packages/gourmet/reccard.py", line 696, in display_ingredients
    group_index)
  File "/usr/lib/python2.6/site-packages/gourmet/reccard.py", line 719, in run_markup_ingredient_hooks
    ing_string = hook(ing_string, ing_obj, ing_index, group_index)
  File "/usr/lib/python2.6/site-packages/gourmet/plugins/nutritional_information/reccard_plugin.py", line 106, in nutritional_markup_hook
    if self.recipe_display.serves_orig: nut_amt = nut_amt/self.recipe_display.serves_orig
AttributeError: RecCardDisplay instance has no attribute 'serves_orig'

Local variables in innermost frame:
perc: 0.0037189253516546621
ni: <nutritional_information.nutrition.NutritionInfo instance at 0xa699e2c>
group_index: 0
self: <nutritional_information.reccard_plugin.NutritionDisplayModule instance at 0x9a30e2c>
props: 'kcal'
nut_amt: 8.0624999999999982
ing_index: 0
tot_amt: 2167.9649999999997
istr: u'1/6 tsp Sugar'
nutinfo_for_ing: <nutritional_information.nutrition.NutritionInfo instance at 0xa699e2c>
ing: (37, 6, None, u'tsp', 0.5, None, u'Sugar', u'Sugar', False, None, None, 0, False)

How to reproduce
-----
1.not known.
2.
3.
Comment 1 David 2010-04-26 14:27:34 EDT
Created attachment 409253 [details]
File: backtrace
Comment 2 Jef Spaleta 2010-04-26 15:41:34 EDT
Would you be willing to test an updated version of gourmet 0.15.4 and see if it meets your needs?  There's been a lot of work in the 0.15 series and I'd like some active gourmet users to help me test and look for regressions before I commit to updating the package.

-jef
Comment 3 Fedora Update System 2010-05-04 20:02:29 EDT
gourmet-0.15.4-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/gourmet-0.15.4-1.fc12
Comment 4 Fedora Update System 2010-05-05 23:36:40 EDT
gourmet-0.15.4-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gourmet'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gourmet-0.15.4-1.fc12
Comment 5 Fedora Update System 2010-05-24 15:38:49 EDT
gourmet-0.15.4-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.